Page MenuHomePhabricator

For Jio users show Indian languages on top inside the article menu.
Closed, ResolvedPublic

Description

Problem

During usability sessions, some users expressed that having Indian languages on top would help them within the article menu.

Whenever an article is available in an Indian language, rank Indian languages on top inside the article menu's language option. This should always be the case for the Change app language option as well. Use the same order of Indian languages as we used in the main settings menu.

Note: This change would only be applicable for Jio users.

Event Timeline

Restricted Application added a project: Inuka-Team. · View Herald TranscriptNov 5 2020, 4:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
SGautam_WMF updated the task description. (Show Details)Nov 5 2020, 4:46 AM
AMuigai moved this task from Backlog to Kanban on the Inuka-Team board.Nov 5 2020, 12:31 PM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
AMuigai triaged this task as Medium priority.Nov 5 2020, 12:42 PM
AMuigai updated the task description. (Show Details)Nov 17 2020, 2:20 PM
AMuigai moved this task from Backlog to Ready for Dev on the Inuka-Team (Kanban) board.
hueitan claimed this task.Nov 18 2020, 9:42 AM
hueitan moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
hueitan added a comment.EditedNov 18 2020, 10:26 AM

show Indian languages on top inside the article menu's language option

Sorting.

I assume it should have the sorting no matter the query string is given on the search language input.

When looking at the change app language option

(1) When there is a query string, it doesn't sort and come with Indian languages as the top(2) When there isn't query string, it shows only all the available indian languages

Do we plan to follow the same pattern for change article language OR always show the Indian languages at the top in both cases?

Let's always show the Indian languages at the top in both cases for users in India

AMuigai updated the task description. (Show Details)Nov 18 2020, 1:48 PM
hueitan added a comment.EditedNov 24 2020, 8:39 AM

a to be confirmed behaviour that handle within here https://phabricator.wikimedia.org/T267289#6634905

UPDATE : Let's keep it as the existing behaviour, let's see if it needs to be changed after this ticket.

hueitan updated the task description. (Show Details)Nov 24 2020, 9:26 AM
hueitan updated the task description. (Show Details)Nov 24 2020, 9:44 AM
SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Nov 30 2020, 8:04 PM

@hueitan is there any way I can test it? I deploy the app on Jio one device but didn't see Indian languages on top while reading the "India" article.

SBisson added a subscriber: SBisson.Dec 9 2020, 1:44 PM

@hueitan is there any way I can test it? I deploy the app on Jio one device but didn't see Indian languages on top while reading the "India" article.

If you deployed using npm run deploy, you can try TARGET_STORE=jio npm run deploy on the command line instead. If you used the WebIDE, run
TARGET_STORE=jio npm run build on the command line and deploy again from the WebIDE.

Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.Dec 9 2020, 5:38 PM

Thanks @SBisson. @hueitan maybe I missed this point earlier, to show the Indian language on top, are we alphabetically sorting them?

Thanks @SBisson. @hueitan maybe I missed this point earlier, to show the Indian language on top, are we alphabetically sorting them?

Simply answer No.

In details, (for jio)
for the app language list, follow the order of object here and bring the indian language to the top based on this oorder.
for the article langague list, follow the order given by then langlinks object (api) and bring the indian language to the top based on it's order.

AMuigai closed this task as Resolved.Dec 11 2020, 11:55 AM